# synset

<!-- WARNING: THIS FILE WAS AUTOGENERATED! DO NOT EDIT! -->

## Developer Guide

### Setup

``` sh
# create conda environment
$ mamba env create -f env.yml

# update conda environment
$ mamba env update -n synset --file env.yml
```

### Install

``` sh
pip install -e .

# install from pypi
pip install synset
```

### nbdev

``` sh
# activate conda environment
$ conda activate synset

# make sure the synset package is installed in development mode
$ pip install -e .

# make changes under nbs/ directory
# ...

# compile to have changes apply to the synset package
$ nbdev_prepare
```

### Publishing

``` sh
# publish to pypi
$ nbdev_pypi

# publish to conda
$ nbdev_conda --build_args '-c conda-forge'
$ nbdev_conda --mambabuild --build_args '-c conda-forge -c dsm-72'
```

# Usage

## Installation

Install latest from the GitHub
[repository](https://github.com/dsm-72/synset):

``` sh
$ pip install git+https://github.com/dsm-72/synset.git
```

or from [conda](https://anaconda.org/dsm-72/synset)

``` sh
$ conda install -c dsm-72 synset
```

or from [pypi](https://pypi.org/project/synset/)

``` sh
$ pip install synset
```

## Documentation

Documentation can be found hosted on GitHub
[repository](https://github.com/dsm-72/synset)
[pages](https://dsm-72.github.io/synset/). Additionally you can find
package manager specific guidelines on
[conda](https://anaconda.org/dsm-72/synset) and
[pypi](https://pypi.org/project/synset/) respectively.

``` python
syn = synset(
    'alias', 
    'aka', 'tags', 'alts', 'names', 'labels', 'aliases', 'handles', 
    'monikers', 'codenames', 'nicknames', 'cognomen', 'sobriquets', 
    'variations', 'pseudonames', 'alternatives', 'recognized',
    'noms',     # (French, names)
    'nafn',     # (Icelandic, name)
    'nefndur',  # (Icelandic, named)
    'dulnefni', # (Icelandic, pseudonym)
    'samnefni', # (Icelandic, alias / alised)
    fullrepr=True
)
syn, syn == 'nafn'
```

    (alias (21 aliases), True)

``` python
no_alias = synset('none', )
no_alias, no_alias == 'None'
```

    (none (0 aliases), True)
